Get thread
curl --request GET \
--url https://api.algoreg.com/api/v1/thread/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.algoreg.com/api/v1/thread/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.algoreg.com/api/v1/thread/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"attachments": [
{
"attachment_movements": {
"movements": [
{
"agent_id": "integer",
"customer_id": "string",
"file_id": "string"
}
],
"total": "integer"
},
"file_mime": "string",
"file_name": "string",
"file_not_dangerous": "boolean",
"file_size": "integer",
"file_type": "string",
"id": "string"
}
],
"client_id": "integer",
"contacts": [
"string"
],
"created_at": "string",
"customers": [
{
"account_number": "string",
"account_type": {},
"alias_ids": [
"string"
],
"client_id": "string",
"comment": "string",
"company_name": "string",
"contacts": "string",
"created_at": "string",
"created_by": "integer",
"custom_fields": "object",
"customer_type": "string",
"date_of_birth": "string",
"disabled": "boolean",
"domicile_code": "string",
"domicile_codes": [
"string"
],
"external_id": "string",
"first_name": "string",
"id": "string",
"kyc_level": "integer",
"last_name": "string",
"middle_name": "string",
"name_variations": [
{
"company_name": "string",
"first_name": "string",
"last_name": "string",
"middle_name": "string",
"trading_name": "string"
}
],
"nationality_code": "string",
"nationality_codes": [
"string"
],
"parent_external_id": "string",
"phone": "string",
"registration_number": "string",
"review_groups": [
"string"
],
"revision_number": "string",
"trading_name": "string"
}
],
"external_message_ids": [
"string"
],
"id": "string",
"last_message": {
"agent_id": "integer",
"attachments": [
{
"attachment_movements": {
"movements": [
{
"agent_id": "integer",
"customer_id": "string",
"file_id": "string"
}
],
"total": "integer"
},
"file_mime": "string",
"file_name": "string",
"file_not_dangerous": "boolean",
"file_size": "integer",
"file_type": "string",
"id": "string"
}
],
"bcc": "string",
"cc": "string",
"content": "string",
"created_at": "string",
"delivery": {},
"error_when_trying_to_send": "string",
"external_message_id": "string",
"from": "string",
"id": "string",
"mailbox_id": "string",
"origin": {},
"priority": "integer",
"raw_message": "string",
"read_by_agents": [
"integer"
],
"reply_to_external_message_id": "string",
"subject": "string",
"to": "string"
},
"message_count": "integer",
"reminder": {
"delay": "integer",
"next_date": "string",
"number_left": "integer"
},
"review_groups": [
"string"
],
"status": {},
"tags": [
"string"
],
"updated_at": "string"
}
{
"errors": [
{
"code": "string",
"deprecated": "boolean",
"message": "string",
"will_be_deprecated": "boolean"
}
]
}
Go!Chat
Get thread
Returns the specified chat thread.
GET
/
api
/
v1
/
thread
/
{id}
Get thread
Path parameters
Response body
- 200
- default
Show properties
Show properties
Show properties
Show properties
deprecated. Use nationality_codes instead
Show properties
Show properties
Show properties
Show properties
Show properties
Show properties
Show properties
Show properties
{
"attachments": [
{
"attachment_movements": {
"movements": [
{
"agent_id": "integer",
"customer_id": "string",
"file_id": "string"
}
],
"total": "integer"
},
"file_mime": "string",
"file_name": "string",
"file_not_dangerous": "boolean",
"file_size": "integer",
"file_type": "string",
"id": "string"
}
],
"client_id": "integer",
"contacts": [
"string"
],
"created_at": "string",
"customers": [
{
"account_number": "string",
"account_type": {},
"alias_ids": [
"string"
],
"client_id": "string",
"comment": "string",
"company_name": "string",
"contacts": "string",
"created_at": "string",
"created_by": "integer",
"custom_fields": "object",
"customer_type": "string",
"date_of_birth": "string",
"disabled": "boolean",
"domicile_code": "string",
"domicile_codes": [
"string"
],
"external_id": "string",
"first_name": "string",
"id": "string",
"kyc_level": "integer",
"last_name": "string",
"middle_name": "string",
"name_variations": [
{
"company_name": "string",
"first_name": "string",
"last_name": "string",
"middle_name": "string",
"trading_name": "string"
}
],
"nationality_code": "string",
"nationality_codes": [
"string"
],
"parent_external_id": "string",
"phone": "string",
"registration_number": "string",
"review_groups": [
"string"
],
"revision_number": "string",
"trading_name": "string"
}
],
"external_message_ids": [
"string"
],
"id": "string",
"last_message": {
"agent_id": "integer",
"attachments": [
{
"attachment_movements": {
"movements": [
{
"agent_id": "integer",
"customer_id": "string",
"file_id": "string"
}
],
"total": "integer"
},
"file_mime": "string",
"file_name": "string",
"file_not_dangerous": "boolean",
"file_size": "integer",
"file_type": "string",
"id": "string"
}
],
"bcc": "string",
"cc": "string",
"content": "string",
"created_at": "string",
"delivery": {},
"error_when_trying_to_send": "string",
"external_message_id": "string",
"from": "string",
"id": "string",
"mailbox_id": "string",
"origin": {},
"priority": "integer",
"raw_message": "string",
"read_by_agents": [
"integer"
],
"reply_to_external_message_id": "string",
"subject": "string",
"to": "string"
},
"message_count": "integer",
"reminder": {
"delay": "integer",
"next_date": "string",
"number_left": "integer"
},
"review_groups": [
"string"
],
"status": {},
"tags": [
"string"
],
"updated_at": "string"
}
{
"errors": [
{
"code": "string",
"deprecated": "boolean",
"message": "string",
"will_be_deprecated": "boolean"
}
]
}
⌘I